<?php
//class Feed, Feed.php
require_once('Db.php');

$Feed = new Feed();
$Feed->CreateFeed();
echo "Feed created!" ;

Class Feed {

Function GetHeader(){

return "<?xml version=\"1.0\"?>
<rss version=\"2.0\">
<channel>
<title>Example</title>
<description>This is an example site</description>
<link>http://www.theexamplesite.com</link>
<language>en-us</language>";

}

Function GetBody() {
$db = new Db();
$db->GetFeedData();
$strBody= "";
for($i=0; $i<sizeof($db->arData); $i++){

$desc=$db->arData["desc"][$i];
$time=$db->arData["time"][$i];
$id=$db->arData["id"][$i];
$heading = $db->arData["heading"][$i];

$strBody= $strBody . "
<item>
<title>$heading</title>
<description>$desc</description>
<link>http://www.theexamplesite.com/blog.php?id=$id</link>
<pubDate>$time</pubDate>
<guid>http://www.theexamplesite.com/blog.php?id=$id</guid>
</item>";

}
return $strBody;
}

Function GetFooter(){

  return "
</channel>
</rss>";
}

Function CreateFeed(){

$file = fopen("feed.xml", "w");

fwrite($file, $this->GetHeader());

fwrite($file, $this->GetBody());

fwrite($file, $this->GetFooter());

fclose($file);

}

}

?>